{pkgs, ...}:
{
	imports = [./default.nix];

 	home.sessionVariables = {
		BROWSER = "firefox";
	};

	fonts.fontconfig.enable = true;

	home.packages = with pkgs; [
		# env
		libnotify
		mpv
		pavucontrol
		# glib gsettings-desktop-schemas - # run gsettings for gnome
		noto-fonts
		noto-fonts-emoji
		powerline-fonts
		line-awesome
		yubikey-manager
		# yubikey-personalization
		pinentry-gnome
		# dbus
		gcr
		dconf
		gotify-desktop
		# apps
		virt-manager
		lens
		evince
		gthumb
		gnome.seahorse
		gnome.cheese
		nextcloud-client
		thunderbird-wayland
		dino # xmpp
		onlyoffice-bin
		libreoffice-fresh
		inkscape
		gimp
		homebank
		gramps # ahnen
		# - tootle # mastodon
		# fractal # matrix
		fluffychat
		cozy # audiobooks
	];
	gtk = {
		enable = true;
		theme = {
			# package = pkgs.yaru-theme;
			# name = "Yaru-dark";

			package = pkgs.flat-remix-gtk;
			# name = "Flat-Remix-GTK-Blue-Darkest-NoBorder";
			# name = "Flat-Remix-GTK-Blue-Darker";
		};
		iconTheme = {
			package = pkgs.yaru-theme;
			name = "Yaru";

			# package = pkgs.flat-remix-icon-theme;
			# name = "Flat-Remix-Violet-Dark";
		};
	};
	programs.gpg = {
		enable = true;
		settings = {
			keyserver = "hkps://keys.openpgp.org";
		};
	};
	services.gnome-keyring.enable = true;
	services.gpg-agent = {
		enable = true;
		enableSshSupport = true;
		pinentryFlavor = "gnome3";
	};


	programs.browserpass = {
		enable = true;
		browsers = ["firefox"];
	};
	programs.firefox = {
		enable = true;
		# package = pkgs.firefox-devedition-bin-unwrapped;
	};
}
