{ pkgs, ... }:
{
	imports = [./desktop.nix];

	services.xserver = {
		enable = true;
		displayManager.gdm.enable = true;
		desktopManager.gnome.enable = true;
	};

	networking.networkmanager.wifi.backend = "iwd";

	environment.systemPackages = with pkgs; [
		gnome.networkmanager-openvpn
		gnome.gnome-power-manager
		gnomeExtensions.pop-shell
		gnomeExtensions.sound-output-device-chooser
	];
	programs.kdeconnect.package = pkgs.gnomeExtensions.gsconnect;
}
